Skills
Delete a specific version of a skill
Removes the specified version of a skill.
Pfadparameter
name
string
Erforderlich
The name of the skill.
version
string
Erforderlich
The version identifier to delete.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Antworten
The request has succeeded.
Text
id
string
Erforderlich
The unique identifier of the deleted skill version.
name
string
Erforderlich
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
Erforderlich
Whether the skill version was successfully deleted.
version
string
Erforderlich
The version that was deleted.
Anfordern
DELETE /skills/{name}/versions/{version} HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json